org.apache.sysds.runtime.instructions.spark.functions

## Class MatrixVectorBinaryOpPartitionFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.MatrixVectorBinaryOpPartitionFunction

All Implemented Interfaces:
  Serializable, org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>>,MatrixIndexes,MatrixBlock>

    public class MatrixVectorBinaryOpPartitionFunction
    extends Object
    implements org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>>,MatrixIndexes,MatrixBlock>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MatrixVectorBinaryOpPartitionFunction(BinaryOperator op, PartitionedBroadcast<MatrixBlock> binput, BinaryM.VectorType vtype)`

### Method Summary

All Methods Instance Methods Concrete Methods
`LazyIterableIterator<scala.Tuple2<MatrixIndexes,MatrixBlock>>` `call(Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MatrixVectorBinaryOpPartitionFunction

    public MatrixVectorBinaryOpPartitionFunction(BinaryOperator op,
                                                 PartitionedBroadcast<MatrixBlock> binput,
                                                 BinaryM.VectorType vtype)

### Method Detail

#### call

    public LazyIterableIterator<scala.Tuple2<MatrixIndexes,MatrixBlock>> call(Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>> arg0)
                                                                       throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>>,MatrixIndexes,MatrixBlock>`
Throws:
  `Exception`